/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_mgr

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-02-02 16:29:38
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mgr_archives_classification
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_classification`;
CREATE TABLE `mgr_archives_classification` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '分类表ID',
  `classification_code` varchar(50) DEFAULT NULL COMMENT '分类代码',
  `name` varchar(50) DEFAULT NULL COMMENT '分类名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `connection_code` varchar(10) DEFAULT NULL COMMENT '连接符',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='分类表';

-- ----------------------------
-- Table structure for mgr_archives_document
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_document`;
CREATE TABLE `mgr_archives_document` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) DEFAULT NULL COMMENT '可用性',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '登记人',
  `create_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '登记日期',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `filing_by` varchar(20) DEFAULT NULL COMMENT '归档人',
  `filing_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '归档日期',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `catalogue_code` int(11) DEFAULT NULL COMMENT '案卷目录号',
  `file_code` varchar(20) DEFAULT NULL COMMENT '案卷号',
  `archival_code` varchar(20) DEFAULT NULL COMMENT '档号',
  `page_code` varchar(20) DEFAULT NULL COMMENT '页号',
  `part_no` varchar(20) DEFAULT NULL COMMENT '件号',
  `responsible_person` varchar(50) DEFAULT NULL COMMENT '责任者',
  `document_code` varchar(10) DEFAULT NULL COMMENT '文件编号',
  `document_title` varchar(50) DEFAULT NULL COMMENT '文件题名',
  `pages_count` int(11) DEFAULT NULL COMMENT '页数',
  `written_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '成文时间',
  `year` varchar(10) DEFAULT NULL COMMENT '年度',
  `box_code` varchar(20) DEFAULT NULL COMMENT '盒号',
  `security_classification` int(11) DEFAULT NULL COMMENT '密级。（0无密；1秘密；2机密；3绝密；）',
  `archives_type_code` int(11) DEFAULT NULL COMMENT '分类号',
  `electronic_record_title` varchar(50) DEFAULT NULL COMMENT '电子档案名称',
  `descriptor` varchar(100) DEFAULT NULL COMMENT '主题词',
  `organization_problem` varchar(100) DEFAULT NULL COMMENT '机构（问题）',
  `personage` varchar(20) DEFAULT NULL COMMENT '人物',
  `archives_name` varchar(100) DEFAULT NULL COMMENT '档案馆名称',
  `attachment_title` varchar(100) DEFAULT NULL COMMENT '附件题名',
  `control_sign` varchar(10) DEFAULT NULL COMMENT '控制标识',
  `archives_code` varchar(10) DEFAULT NULL COMMENT '档案馆代码',
  `produce_way` varchar(20) DEFAULT NULL COMMENT '电子档案生成方式',
  `secrecy_period` int(11) DEFAULT NULL COMMENT '保密期限',
  `retention_period` int(11) DEFAULT NULL COMMENT '保管期限',
  `filing_status` int(1) DEFAULT '0' COMMENT '档案归档状态（0未归档；1归档）',
  `del_flag` int(1) DEFAULT '0' COMMENT '删除标识（0未删除；1删除）',
  `digitization_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '数字化时间',
  `digitization_obj_describe` varchar(100) DEFAULT NULL COMMENT '数字化对象描述',
  `digitization_authorize_describe` varchar(100) DEFAULT NULL COMMENT '数字化授权描述',
  `format_name` varchar(20) DEFAULT NULL COMMENT '格式名称',
  `format_version` varchar(20) DEFAULT NULL COMMENT '格式版本',
  `color_space` varchar(20) DEFAULT '' COMMENT '色彩空间',
  `compress_scheme` varchar(20) DEFAULT '' COMMENT '压缩方案',
  `compression_ratio` varchar(10) DEFAULT '' COMMENT '压缩率',
  `horizontal_resolution` varchar(10) DEFAULT '' COMMENT '水平分辨率',
  `vertical_resolution` varchar(10) DEFAULT '' COMMENT '垂直分辨率',
  `image_width` varchar(10) DEFAULT NULL COMMENT '图像宽度',
  `image_height` varchar(10) DEFAULT NULL COMMENT '图像高度',
  `equipment_type` varchar(20) DEFAULT '' COMMENT '设备类型',
  `equipment_manufacturer` varchar(50) DEFAULT '' COMMENT '设备制造商',
  `equipment_model` varchar(20) DEFAULT '' COMMENT '设备型号',
  `equipment_series_number` varchar(50) DEFAULT '' COMMENT '设备系列号',
  `equipment_photoreceptor` varchar(20) DEFAULT '' COMMENT '设备感光器',
  `digital_software_name` varchar(50) DEFAULT NULL COMMENT '数字化软件名称',
  `digital_software_version` varchar(20) DEFAULT NULL COMMENT '数字化软件版本',
  `digital_software_manufacturer` varchar(50) DEFAULT NULL COMMENT '数字化软件生产商',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='文书档案文件';

-- ----------------------------
-- Table structure for mgr_archives_electronic_record
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_electronic_record`;
CREATE TABLE `mgr_archives_electronic_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) DEFAULT '1' COMMENT '可用性（1可用；0不可用）',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建日期',
  `update_by` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改人',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改日期',
  `document_id` bigint(20) DEFAULT NULL COMMENT '文件id（mgr_archives_document表的id）',
  `electronic_record_title` varchar(50) DEFAULT NULL COMMENT '电子文件标题',
  `connect_configure_name` varchar(20) DEFAULT NULL COMMENT '挂接配置名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='电子档案文件';

-- ----------------------------
-- Table structure for mgr_archives_file
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_file`;
CREATE TABLE `mgr_archives_file` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) DEFAULT '1' COMMENT '可用性（1可用；0不可用）',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `filing_by` varchar(20) DEFAULT NULL COMMENT '归档人',
  `filing_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '归档日期',
  `archival_code` varchar(20) DEFAULT NULL COMMENT '案卷级档号',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `fonds_name` varchar(50) DEFAULT NULL,
  `catalogue_code` int(11) DEFAULT NULL COMMENT '目录号',
  `file_code` int(11) DEFAULT NULL COMMENT '案卷号',
  `year` varchar(10) DEFAULT NULL COMMENT '年度',
  `retention_period` int(11) DEFAULT NULL COMMENT '保管期限',
  `retention_period_code` varchar(10) DEFAULT NULL COMMENT '保管期限代码',
  `file_title` varchar(500) DEFAULT NULL COMMENT '案卷题名',
  `start_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '起时间',
  `end_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '止时间',
  `responsible_person` varchar(50) DEFAULT NULL COMMENT '责任者',
  `written_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '成文时间',
  `pages_count` int(11) DEFAULT NULL COMMENT '页数',
  `document_count` int(11) DEFAULT NULL COMMENT '文件件数',
  `personage` varchar(20) DEFAULT NULL COMMENT '人物',
  `box_code` varchar(20) DEFAULT NULL COMMENT '盒号',
  `secrecy_period` int(11) DEFAULT NULL COMMENT '保密期限',
  `security_classification` varchar(10) DEFAULT '0' COMMENT '密级（0无密；1秘密；2机密；3绝密；）',
  `archives_name` varchar(100) DEFAULT NULL COMMENT '档案馆名称',
  `descriptor` varchar(100) DEFAULT NULL COMMENT '主题词',
  `archives_code` varchar(10) DEFAULT NULL COMMENT '档案馆代码',
  `attachment_title` varchar(100) DEFAULT NULL COMMENT '附件题名',
  `RFID` varchar(20) DEFAULT NULL COMMENT 'RFID',
  `filing_status` int(1) DEFAULT '0' COMMENT '归档状态（0：未归档，1归档）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='文书档案案卷';

-- ----------------------------
-- Table structure for mgr_archives_file_note
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_file_note`;
CREATE TABLE `mgr_archives_file_note` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` tinyint(1) DEFAULT '1' COMMENT '可用性（0不可用；1可用）',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `fonds_name` varchar(50) DEFAULT NULL COMMENT '全宗名称',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `detail` varchar(500) DEFAULT NULL COMMENT '档案说明',
  `collator` varchar(20) DEFAULT NULL COMMENT '整理人',
  `inspector` varchar(20) DEFAULT NULL COMMENT '检查人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='文书档案备考表';

-- ----------------------------
-- Table structure for mgr_archives_relation
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_relation`;
CREATE TABLE `mgr_archives_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '目录树关系表ID',
  `classification_id` bigint(20) DEFAULT NULL COMMENT '分类id',
  `fonds_id` bigint(20) DEFAULT NULL COMMENT '全宗ID',
  `type_id` bigint(20) DEFAULT NULL COMMENT '档案类型ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='目录树关系表';

-- ----------------------------
-- Table structure for mgr_archives_type
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_type`;
CREATE TABLE `mgr_archives_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '档案类型ID',
  `type_code` varchar(50) DEFAULT NULL COMMENT '档案类型代码',
  `name` varchar(50) DEFAULT NULL COMMENT '类型名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='档案类型表';

-- ----------------------------
-- Table structure for mgr_fonds
-- ----------------------------
DROP TABLE IF EXISTS `mgr_fonds`;
CREATE TABLE `mgr_fonds` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '全宗ID',
  `fonds_no` varchar(32) DEFAULT NULL COMMENT '全宗号',
  `fonds_name` varchar(50) DEFAULT NULL COMMENT '全宗名',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='全宗表';
