/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_receive

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-02-02 16:29:47
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for arc_ electronic_accession
-- ----------------------------
DROP TABLE IF EXISTS `arc_ electronic_accession`;
CREATE TABLE `arc_ electronic_accession` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '表id',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `cerate_department` varchar(50) DEFAULT NULL COMMENT '形成部门',
  `cccomplish_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '完成日期',
  `carrier_id` int(11) NOT NULL COMMENT '载体编号',
  `address` varchar(50) DEFAULT NULL COMMENT '通讯地址',
  `phone` int(20) DEFAULT NULL COMMENT '联系电话',
  `contact` varchar(255) DEFAULT NULL COMMENT '联系人',
  `hardware_environment` varchar(255) DEFAULT NULL COMMENT '硬件环境',
  `software_environment` varchar(255) DEFAULT NULL COMMENT '软件环境',
  `related_software` varchar(255) DEFAULT NULL COMMENT '相关软件',
  `database_system` varchar(255) DEFAULT NULL COMMENT '数据库系统',
  `operating_system` varchar(255) DEFAULT NULL COMMENT '操作系统',
  `record_structure` varchar(255) DEFAULT NULL COMMENT '记录结构',
  `record_type` varchar(255) DEFAULT NULL COMMENT '记录类型',
  `format` varchar(255) DEFAULT NULL COMMENT '格式',
  `record_number` int(50) DEFAULT NULL COMMENT '记录总数',
  `bytes_number` int(255) DEFAULT NULL COMMENT '总记录数',
  `model_id` varchar(20) DEFAULT NULL COMMENT '型号',
  `number` int(255) DEFAULT NULL COMMENT '数量',
  `backups_number` int(255) DEFAULT NULL COMMENT '备份数',
  `file_carrier_relation` varchar(255) DEFAULT NULL COMMENT '文件与载体的关系（一件一盘、一件多盘、多件多盘、多件一盘）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for arc_accession_examine
-- ----------------------------
DROP TABLE IF EXISTS `arc_accession_examine`;
CREATE TABLE `arc_accession_examine` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '表id',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `accession_unit` varchar(20) NOT NULL COMMENT '接收单位',
  `facade_inspect` varchar(1024) DEFAULT NULL COMMENT '外观检查记录',
  `virus_appraisal` varchar(1024) DEFAULT NULL COMMENT '病毒检测记录',
  `validity` varchar(255) DEFAULT NULL COMMENT '有效性考证记录',
  `Integrality` varchar(255) DEFAULT NULL COMMENT '完整性考证记录',
  `truth` varchar(255) DEFAULT NULL COMMENT '真实性考证记录',
  `preparer` varchar(20) DEFAULT NULL COMMENT '填表人',
  `verifier` varchar(20) DEFAULT NULL COMMENT '审核人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for arc_accession_receipt
-- ----------------------------
DROP TABLE IF EXISTS `arc_accession_receipt`;
CREATE TABLE `arc_accession_receipt` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '当前表id',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `visit_unit` varchar(255) NOT NULL COMMENT '来访单位',
  `sbmitter` varchar(20) DEFAULT NULL COMMENT '提交人',
  `recipirnt` varchar(20) DEFAULT NULL COMMENT '接收人',
  `archives_number` int(255) DEFAULT NULL COMMENT '案卷数',
  `accession_unit` varchar(50) NOT NULL COMMENT '接收单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for rec_record
-- ----------------------------
DROP TABLE IF EXISTS `rec_record`;
CREATE TABLE `rec_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '表id',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `crate_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `visit_unit` varchar(20) NOT NULL COMMENT '来访单位',
  `year` varchar(20) NOT NULL COMMENT '年度',
  `accseeion_reason` varchar(50) NOT NULL COMMENT '接收原因',
  `accession_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '接收时间',
  `archives_number` int(255) NOT NULL COMMENT '案卷数量',
  `save_time` varchar(20) NOT NULL COMMENT '保管期限',
  `file_number` int(20) NOT NULL COMMENT '案卷目录数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
