/*
Navicat MySQL Data Transfer

Source Server         : mysql
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_save

Target Server Type    : MYSQL
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-02-05 11:33:54
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for save_backups_record
-- ----------------------------
DROP TABLE IF EXISTS `save_backups_record`;
CREATE TABLE `save_backups_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注，备份说明',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `backups_mode` varchar(20) DEFAULT NULL COMMENT '备份方式',
  `backups_medium` varchar(20) DEFAULT NULL COMMENT '备份介质',
  `backups_num` int(1) DEFAULT NULL COMMENT '备份套数',
  `backups_batch` varchar(20) DEFAULT NULL COMMENT '批次',
  `backups_capacity` varchar(20) DEFAULT NULL COMMENT '每份备份大小',
  `security_classification` varchar(20) DEFAULT NULL COMMENT '涉密情况',
  `connect_tab` varchar(20) DEFAULT NULL COMMENT '交接表',
  `leader` varchar(10) NOT NULL COMMENT '领导审核',
  `rate_progress` int(1) DEFAULT NULL COMMENT '进度',
  `warehousing_tab` varchar(20) DEFAULT NULL COMMENT '入库表',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='备份记录表';

-- ----------------------------
-- Table structure for save_connect
-- ----------------------------
DROP TABLE IF EXISTS `save_connect`;
CREATE TABLE `save_connect` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，移出时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，移出填表人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `connect_name` varchar(20) DEFAULT NULL COMMENT '交接工作名',
  `connect_content` varchar(255) DEFAULT NULL COMMENT '内容描述',
  `connect_num` varchar(50) DEFAULT NULL COMMENT '移交电子数量',
  `connect_unit` varchar(10) DEFAULT NULL COMMENT '移交数据量',
  `serial` varchar(50) DEFAULT NULL COMMENT '载体起止顺序号',
  `specification` varchar(50) DEFAULT NULL COMMENT '载体规格',
  `accuracy_detection` int(1) DEFAULT NULL COMMENT '准确性检测',
  `integrity_ testing` int(1) DEFAULT NULL COMMENT '完整性检测',
  `availability_ detection` int(1) DEFAULT NULL COMMENT '可用性检测',
  `safety_inspection` int(1) DEFAULT NULL COMMENT '安全性检测',
  `appearance_ detection` int(1) DEFAULT NULL COMMENT '载体外观检测',
  `transfer_reviewer` varchar(10) DEFAULT NULL COMMENT '移交审核人',
  `transfer_stamp` int(1) DEFAULT NULL COMMENT '移交单位签章',
  `accession_reviewer` varchar(10) DEFAULT NULL COMMENT '接收审核人',
  `accession_stamp` int(1) DEFAULT NULL COMMENT '接收单位签章',
  `rate_progress` int(1) DEFAULT NULL COMMENT '进度',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='交接表';

-- ----------------------------
-- Table structure for save_disposition
-- ----------------------------
DROP TABLE IF EXISTS `save_disposition`;
CREATE TABLE `save_disposition` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘编号',
  `disposal_type` varchar(10) DEFAULT NULL COMMENT '处置类型',
  `disposal_reason` varchar(50) DEFAULT NULL COMMENT '处置原因',
  `reviewer` varchar(10) DEFAULT NULL COMMENT '审批人',
  `disposal_opinion` varchar(10) DEFAULT NULL COMMENT '审批意见',
  `disposal_person` varchar(10) DEFAULT NULL COMMENT '处置人',
  `security_supervisor` varchar(10) DEFAULT NULL COMMENT '监销人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='处置表';

-- ----------------------------
-- Table structure for save_label
-- ----------------------------
DROP TABLE IF EXISTS `save_label`;
CREATE TABLE `save_label` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，存入日期',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更信新人',
  `num` varchar(20) DEFAULT NULL COMMENT '编号',
  `fonds_code` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `category_code` varchar(20) DEFAULT NULL COMMENT '类别号',
  `security_classification` varchar(20) DEFAULT NULL COMMENT '密级',
  `retention_period` varchar(10) DEFAULT NULL COMMENT '保管期限',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='备份标签表';

-- ----------------------------
-- Table structure for save_migration
-- ----------------------------
DROP TABLE IF EXISTS `save_migration`;
CREATE TABLE `save_migration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘号',
  `data_format` varchar(20) DEFAULT NULL COMMENT '数据格式',
  `data_size` varchar(20) DEFAULT NULL COMMENT '数据大小',
  `migration_ reason` varchar(50) DEFAULT NULL COMMENT '迁移原因',
  `reviewer` varchar(10) DEFAULT NULL COMMENT '审批人',
  `new_medium` varchar(10) DEFAULT NULL COMMENT '新载体',
  `new_medium_num` varchar(20) DEFAULT NULL COMMENT '新载体编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='迁移表';

-- ----------------------------
-- Table structure for save_recovery_application
-- ----------------------------
DROP TABLE IF EXISTS `save_recovery_application`;
CREATE TABLE `save_recovery_application` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，申请时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，申请人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `instruction` varchar(255) DEFAULT NULL COMMENT '申请说明',
  `director_opinion` int(1) DEFAULT NULL COMMENT '局长审核',
  `recovery_information_tab` varchar(20) DEFAULT NULL COMMENT '恢复信息表',
  `rate_progress` int(1) DEFAULT NULL COMMENT '进度 -1审核不通过  0审核中  1审核通过  2恢复成功 不是2的话都显示还未恢复',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='恢复申请表';

-- ----------------------------
-- Table structure for save_recovery_record
-- ----------------------------
DROP TABLE IF EXISTS `save_recovery_record`;
CREATE TABLE `save_recovery_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间，恢复时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，操作人员',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `restoration_num` varchar(20) DEFAULT NULL COMMENT '恢复档案号',
  `restoration_content` varchar(255) DEFAULT NULL COMMENT '恢复内容',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='恢复信息表';

-- ----------------------------
-- Table structure for save_sampling
-- ----------------------------
DROP TABLE IF EXISTS `save_sampling`;
CREATE TABLE `save_sampling` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘号',
  `bler` varchar(10) DEFAULT NULL COMMENT '块错误率  CD-R光盘的块错误率是指每秒测得的错误块数量，CD-R光盘技术规范规定：BLER＜220数据块／秒',
  `e32` varchar(10) DEFAULT NULL COMMENT '不可校正错误  读CD-R光盘时不能被解码器校正的错误的总数称为E32，CD-R光盘技术规范规定：E32 = 0',
  `sym` varchar(10) DEFAULT NULL,
  `jitter` varchar(10) DEFAULT NULL,
  `pie` varchar(10) DEFAULT NULL COMMENT '奇偶校验内码错误  PI 与PO分别是ECC（错误校正编码）块中的奇偶校验内码和外码，DVD 光盘用PI 与PO 校验中发现错误的次数与程度来评价其记录质量，DVD-R和DVD+R技术规范规定PIE不能超过280',
  `pof` varchar(10) DEFAULT NULL COMMENT '奇偶校验外码失败  当DVDR读出解码器经过第一轮纠错后，不能校正ECC块内数据就叫奇偶校验外码失败，DVD-R和DVD+R技术规范都规定POF = 0',
  `asym` varchar(10) DEFAULT NULL,
  `dc_jitter` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检测表';

-- ----------------------------
-- Table structure for save_warehousing
-- ----------------------------
DROP TABLE IF EXISTS `save_warehousing`;
CREATE TABLE `save_warehousing` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '清点时间，创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人，清点人员',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `medium_num` varchar(20) DEFAULT NULL COMMENT '光盘号',
  `archieves_type` varchar(20) DEFAULT NULL COMMENT '档案类型',
  `filing_num` varchar(50) DEFAULT NULL COMMENT '起止档号或归档号',
  `medium_content` varchar(255) DEFAULT NULL COMMENT '光盘内容',
  `file_format` varchar(10) DEFAULT NULL COMMENT '文件格式',
  `data_size` varchar(10) DEFAULT NULL COMMENT '数据大小',
  `backup_count` int(1) DEFAULT NULL COMMENT '备份套数',
  `stowed_position` varchar(50) DEFAULT NULL COMMENT '存放位置',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='入库表';
