/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_utilization

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-02-02 16:30:10
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for utilization_apply
-- ----------------------------
DROP TABLE IF EXISTS `utilization_apply`;
CREATE TABLE `utilization_apply` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `property` varchar(50) NOT NULL COMMENT '单位或个人',
  `name` varchar(50) NOT NULL COMMENT '姓名',
  `phone` varchar(20) DEFAULT NULL COMMENT '电话',
  `idcard_number` varchar(50) DEFAULT NULL COMMENT '身份证号',
  `credentials_file` varchar(255) NOT NULL COMMENT '身份证明文件',
  `company_name` varchar(255) DEFAULT NULL COMMENT '单位名',
  `archives_name` varchar(255) NOT NULL COMMENT '档案名',
  `apply_time` datetime NOT NULL COMMENT '借阅时间',
  `apply_purpose` varchar(255) NOT NULL COMMENT '借阅目的',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for utilization_audit
-- ----------------------------
DROP TABLE IF EXISTS `utilization_audit`;
CREATE TABLE `utilization_audit` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `name` varchar(50) NOT NULL COMMENT '审核人',
  `position` varchar(50) DEFAULT NULL COMMENT '职位',
  `result` varchar(50) DEFAULT NULL COMMENT '审核结果',
  `time` datetime NOT NULL COMMENT '审核时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for utilization_borrow
-- ----------------------------
DROP TABLE IF EXISTS `utilization_borrow`;
CREATE TABLE `utilization_borrow` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `borrow_time` datetime NOT NULL COMMENT '借阅时间',
  `duration` varchar(50) DEFAULT NULL COMMENT '借阅期限',
  `deadline` datetime DEFAULT NULL COMMENT '应归还时间',
  `status` varchar(50) DEFAULT NULL COMMENT '归还状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for utilization_evaluation
-- ----------------------------
DROP TABLE IF EXISTS `utilization_evaluation`;
CREATE TABLE `utilization_evaluation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `evaluate_score` varchar(10) NOT NULL COMMENT '评分',
  `evaluate_content` varchar(255) DEFAULT NULL COMMENT '评价内容',
  `evaluate_time` datetime NOT NULL COMMENT '评价时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for utilization_remind
-- ----------------------------
DROP TABLE IF EXISTS `utilization_remind`;
CREATE TABLE `utilization_remind` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `extra_time` datetime DEFAULT NULL COMMENT '超期时间',
  `remind` varchar(50) NOT NULL COMMENT '提醒状态',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for utilization_rules
-- ----------------------------
DROP TABLE IF EXISTS `utilization_rules`;
CREATE TABLE `utilization_rules` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) NOT NULL DEFAULT b'1' COMMENT '逻辑删表示，0表示删除',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '更新人',
  `borrow_time` datetime DEFAULT NULL COMMENT '档案允许借阅时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT = 1 DEFAULT CHARSET=utf8;
