package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 字典表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysDicService : BaseService<SysDic> {
    /**
     * 查询所有列表并存入缓存中(忽略enable)
     */
    fun getListCacheable(): MutableList<SysDic>

    /**
     * 查询所有列表(忽略enable,不缓存)
     */
    fun getList(enable: Boolean?): MutableList<SysDic>

    /**
     * 根据key获取对应的SysDic列表(缓存获取)
     */
    fun getListByKey(key: String): MutableList<SysDic>

    /**
     * 获取一个SysDic,若查询结果大于1个则取第一个(缓存获取)
     */
    fun getOneByKey(key: String, value: String?, sort: Int?): SysDic?

    /**
     * 修改SysDic项
     * 更新缓存项
     * TODO 同时通知其他系统
     */
    fun modify(data: SysDic): SysDic

    /**
     * 新增字典
     * 刷新缓存
     * TODO 通知其他系统
     */
    fun insertCacheable(data: SysDic)

    /**
     * 物理删除字典项
     * 刷新缓存
     * TODO 通知其他系统
     */
    fun physicalDeleteCacheable(id: Long)
}
