package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 用户管理 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysUserService : BaseService<SysUser> {
    /**
     * 查询用户列表
     * 缓存
     */
    fun getListCacheable(): MutableList<SysUser>

    /**
     * 通过 id 查询用户
     * 缓存
     */
    fun getUserByIdCacheable(id: Long): SysUser?

    /**
     * 通过 account 查询用户
     * 缓存
     */
    fun getUserByAccountCacheable(account: String): SysUser?

    /**
     * 插入并缓存
     * TODO 通知其他系统
     */
    fun insertCacheable(entity: SysUser)

    /**
     * 修改 并 更新缓存
     * TODO 通知其他系统
     */
    fun modify(entity: SysUser): SysUser

    /**
     * 物理删除
     * 刷新缓存
     * TODO 通知其他系统
     */
    fun physicalDeleteCacheable(id: Long)
}
