package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.sys.mapper.SysUserRoleMapper
import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.api.sys.service.ISysRoleService
import com.gxzc.zen.api.sys.service.ISysUserRoleService
import com.gxzc.zen.common.contants.CACHEKEYS
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.cache.annotation.Cacheable
import org.springframework.stereotype.Service

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
@Service
class SysUserRoleServiceImpl : ServiceImpl<SysUserRoleMapper, SysUserRole>(), ISysUserRoleService {
    @Autowired
    private lateinit var sysRoleService: ISysRoleService

    @Cacheable(CACHEKEYS.USER_ROLE, key = "'uid_'+ #id")
    override fun getUserRoleListByUserId(id: Long): MutableList<SysRole> {
        return baseMapper.selectUserRoleListByUserId(id)
    }


    override fun getUserRoleList(): Map<Long, MutableList<SysRole>> {
        val allSysUserRole = baseMapper.selectList(null)
        val groupUserRole = allSysUserRole.groupBy({ it.userId }, { it.roleId })
        val result = mutableMapOf<Long, MutableList<SysRole>>()
        for (item in groupUserRole) {
            if (item.key == null) {
                continue
            }
            result[item.key!!] = sysRoleService.selectBatchIds(item.value)
        }
        return result
    }
}
