package com.gxzc.zen.umps.util

import com.baomidou.kisso.SSOHelper
import com.baomidou.kisso.SSOToken
import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.api.sys.service.ISysUserService
import com.gxzc.zen.common.util.HttpUtil
import com.gxzc.zen.common.util.SpringContextHolder

/**
 * SSO 工具类
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
object SSOUtil {
    private val sysUserService: ISysUserService = SpringContextHolder.getBean(ISysUserService::class.java)

    fun getCurUserId(): Long? {
        val token = SSOHelper.attrToken<SSOToken>(HttpUtil.getRequest()) ?: SSOHelper.getToken(HttpUtil.getRequest())
        return token?.uid?.toLong()
    }

    fun getCurUser(): SysUser? {
        return sysUserService.getUserByIdCacheable(getCurUserId() ?: return null)
    }
}