package com.gxzc.zen.common.base

import com.baomidou.mybatisplus.mapper.BaseMapper
import com.baomidou.mybatisplus.mapper.Wrapper
import org.apache.ibatis.annotations.Param

/**
 * 通用的DAO
 * 提供一些通用的特殊查询方法(除了Mybatis-plus提供的自动crud)
 * 对应的Mapper.xml方法要自己写入
 * @author NorthLan
 * @date 2018/1/24
 * @url https://noahlan.com
 */
interface BaseMapper<T> : BaseMapper<T> {
    /**
     * 通过自定义SQL查询
     */
    fun selectByParams(params: MutableMap<String, Any>?): MutableList<T>

    /**
     * 自定义更新逻辑(忽略mp自带的逻辑删除功能)
     * 一般更新enable字段时使用
     */
    fun updateNoLogic(@Param("et") entity: T, @Param("ew") wrapper: Wrapper<T>): Long

    /**
     * 物理删除
     */
    fun physicalDelete(@Param("ew") wrapper: Wrapper<T>): Long
}