package com.gxzc.zen.common.base

import com.baomidou.mybatisplus.annotations.TableField
import com.baomidou.mybatisplus.annotations.TableId
import com.baomidou.mybatisplus.annotations.TableLogic
import com.baomidou.mybatisplus.enums.FieldFill
import com.baomidou.mybatisplus.enums.FieldStrategy
import com.baomidou.mybatisplus.enums.IdType
import com.fasterxml.jackson.annotation.JsonInclude
import io.swagger.annotations.ApiModelProperty
import java.util.*

/**
 * 通用实体 包含通用字段
 * @author NorthLan at 2017/12/8
 */
@JsonInclude(JsonInclude.Include.NON_NULL) // jackson 忽略空值
open class BaseModel {
    // 主键
    @TableId(type = IdType.AUTO)
    var id: Long? = null

    // 创建时间
    @TableField(fill = FieldFill.INSERT, strategy = FieldStrategy.NOT_NULL)
    @ApiModelProperty(hidden = true)
    var createTime: Date? = null

    // 创建人id
    @TableField(fill = FieldFill.INSERT, strategy = FieldStrategy.NOT_NULL)
    var createBy: String? = null

    // 更新时间
    @TableField(fill = FieldFill.UPDATE, strategy = FieldStrategy.NOT_NULL)
    var updateTime: Date? = null

    // 更新人id
    @TableField(fill = FieldFill.UPDATE, strategy = FieldStrategy.NOT_NULL)
    var updateBy: String? = null

    // 备注
    var remark: String? = null

//    @TableField(exist = false)
//    private var createdByName: String? = null

//    @TableField(exist = false)
//    private var updatedByName: String? = null

    @TableLogic(value = "1", delval = "0")
    var enable: Boolean? = null
}
