package com.gxzc.zen.orm.annotation

import java.lang.annotation.Inherited
import kotlin.reflect.KClass

/**
 * 分库多数据源事务一致性处理
 * 单数据源也需要使用此注解
 * @author NorthLan
 * @date 2018/2/3
 * @url https://noahlan.com
 */
@Target(AnnotationTarget.FUNCTION)
@Retention(AnnotationRetention.RUNTIME)
@Inherited
annotation class ZenTransactional(val value: String = "",
                                  val rollbackFor: Array<KClass<out Throwable>> = [],
                                  val noRollbackFor: Array<KClass<out Throwable>> = [])