package com.gxzc.zen.web.sys.controller

import com.baomidou.kisso.annotation.Action
import com.baomidou.kisso.annotation.Login
import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.api.sys.service.ISysDicService
import com.gxzc.zen.api.sys.service.ISysParamService
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.config.request.annotation.KVType
import com.gxzc.zen.common.config.request.annotation.ZenRequestTypes
import com.gxzc.zen.common.dto.RequestDto
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.core.io.InputStreamResource
import org.springframework.core.io.Resource
import org.springframework.http.HttpHeaders
import org.springframework.http.MediaType
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.io.File
import java.io.FileInputStream


/**
 *
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("test")
class TestController : BaseController() {

    @Autowired
    private lateinit var sysDicService: ISysDicService

    @Autowired
    private lateinit var sysParamService: ISysParamService

    @GetMapping("logicDel")
    @Login(action = Action.Skip)
    fun testLogicDelete() {
        sysDicService.deleteById(4L)
    }

    @PutMapping("metaObject")
    @Login(action = Action.Skip)
    fun testCustomMetaObjectHandler() {
        sysDicService.updateById(SysDic().apply {
            id = 4
            key = "2333"
        })
    }

    @GetMapping("logicSelect")
    @Login(action = Action.Skip)
    fun testLogicSelect() {
        sysDicService.selectList(null)
    }

    @PostMapping("testInput")
    @Login(action = Action.Skip)
    @ZenRequestTypes(
            KVType("dataA", SysDic::class),
            KVType("dataB", SysUser::class))
    fun testInput(@RequestBody data: RequestDto) {
    }

    @PostMapping("")
    @Login(action = Action.Skip)
    fun test() {
        println(1)
    }

    @GetMapping("/download")
    @Login(action = Action.Skip)
    fun download(param: String): ResponseEntity<Resource> {

        // ...
        val file = File("D:\\WorkSpace\\Zen\\zen.log")
        val resource = InputStreamResource(FileInputStream(file))

        val headers = HttpHeaders()
        headers.add("Cache-Control", "no-cache, no-store, must-revalidate")
        headers.add("Pragma", "no-cache")
        headers.add("Expires", "0")
        headers.add(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=zen.log")


        return ResponseEntity.ok()
                .headers(headers)
                .contentLength(file.length())
                .contentType(MediaType.parseMediaType("application/octet-stream"))
                .body(resource)
    }
}